Categories:
  - Development
  - Games
  - Graphics
  - Multimedia
License: MIT
AuthorName: Vadim Grigoruk (Nesbox)
WebSite: https://tic80.com/
SourceCode: https://github.com/nesbox/TIC-80
IssueTracker: https://github.com/nesbox/TIC-80/issues
Changelog: https://github.com/nesbox/TIC-80/releases
Donate: https://nesbox.itch.io/tic80

AutoName: TIC-80
Description: |-
    TIC-80 is a fantasy video game console for making,
    playing, and sharing games on a limited platform
    that mimics the 8-bit systems of the 1980s.
    It has built-in code, sprite, map, music, and sound
    effect editors, as well as a command line interface
    that allow users to develop and edit games within
    the console.

    The games made in TIC-80 can be exported as virtual
    game cartridges and bundled for different platforms.
    It supports programming languages including JavaScript,
    MoonScript, Lua, Ruby, Wren, Fennel, Squirrel and D.

RepoType: git
Repo: https://github.com/nesbox/TIC-80.git

Builds:
  - versionName: 1.00.00
    versionCode: 10000
    commit: v1.0.2164
    subdir: build/android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y libncurses5 g++ cmake ruby-full libglvnd-dev libglu1-mesa-dev
        freeglut3-dev libasound2-dev python3-distutils
    gradle:
      - yes
    scandelete:
      - vendor
    build: for ARCH in arm arm64 x86 x86_64; do API=24; SYSROOT=$ANDROID_NDK_HOME/platforms/android-$API/arch-$ARCH;
        python3 "$ANDROID_NDK_HOME/build/tools/make_standalone_toolchain.py" --api
        "$API" --arch "$ARCH" --install-dir "$SYSROOT" --force; ln -Ffs "$SYSROOT/sysroot/usr"
        "$SYSROOT/usr"; done
    ndk: r21e

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.00.00
CurrentVersionCode: 10000
